%global git_commit_0 54c86a517edf7933f4ce5e87c8c57d243c85b3ba
%global git_user analogdevicesinc
%global git_snap_date 20170705

%global git_short_commit_0 %(c=%{git_commit_0}; echo ${c:0:7})

Name:          gr-iio
Version:       0.2
Release:       1.%{git_snap_date}git%{git_short_commit_0}%{?dist}
Summary:       GNU Radio interface for IIO

License:       GPLv3

URL:           https://github.com/%{git_user}/%{name}/

#Source0:       https://github.com/%{git_user}/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
Source0:        https://github.com/%{git_user}/%{name}/archive/%{git_commit_0}.tar.gz


BuildRequires: gcc
BuildRequires: cmake
BuildRequires: bison
BuildRequires: flex
BuildRequires: python2-devel
BuildRequires: python2-setuptools
BuildRequires: doxygen
BuildRequires: gnuradio-devel
BuildRequires: libad9361-devel


%description
GNU Radio interface for IIO. Includes source and sink blocks for
Analog Devices ADALM-PLUTO SDR.


%package devel
Summary:       Development package for %{name}
Requires:      %{name}%{?_isa} = %{version}-%{release}

%description devel
Files for development with %{name}.


%package -n python2-gr-iio
Summary:       Python 2 bindings for %{name}
Requires:      %{name}%{?_isa} = %{version}-%{release}

%description -n python2-gr-iio
Python 2 bindings for %{name}.


# NOTE: gnuradio 3.8 is expected to have Python 3 support. When that
# becomes available, Python 3 support should be added to this package.


%prep
%setup -q -n %{name}-%{git_commit_0}

%build
if [ "%{_libdir}" = "%{_prefix}/lib64" ]; then
  %cmake -DUSE_LIB64:BOOL=ON .
else
  %cmake -DUSE_LIB64:BOOL=OFF .
fi

make %{?_smp_mflags} V=1

%install
make install DESTDIR=%{buildroot} INSTALL='install -p'

mkdir %{buildroot}%{_datarootdir}/gr-iio
mv %{buildroot}/usr/lib/cmake/iio/iioConfig.cmake %{buildroot}%{_datarootdir}/gr-iio/


# Remove libtool archives.
find %{buildroot} -name '*.la' -delete

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%license COPYING
%{_libdir}/libgnuradio-iio.so.*
%{_datarootdir}/gnuradio/grc/blocks/*.xml

%files devel
%{_libdir}/libgnuradio-iio.so
%{_libdir}/pkgconfig/gnuradio-iio.pc
%{_includedir}/gnuradio/iio
%{_includedir}/swig/iio*.i
%{_datarootdir}/gr-iio

%files -n python2-gr-iio
%{python2_sitearch}/gnuradio/iio


%changelog
* Wed Aug 16 2017 Eric Smith <brouhaha@fedoraproject.org> 0.2-1
- Initial version.
